## Component List

### Common parameters
All the components include these three parameters:

- **name** [_string_]: Name of the component.
- **type** [_string_]: Type of the component.
- **description** [_string_]: Description of the component.

We have divided the list of all components into several groups of related components:

- [Components to define shedules](component_list_schedules.md): Day_schedule, Week_schedule, Year_schedule.
- [Components for reading files](component_list_files.md): File_met, File_data.
- [Constructive components](component_list_constructions.md): Material, Construction, Glazing, Frame, Opening_type.
- [Building definition components](component_list_building.md): Building, Space_type, Space, Exterior_surface, Interior_surface, Underground_surface, Virtual_surface, Opening, Shadow_surface.
- [HVAC systems components](component_list_HVAC_systems.md): HVAC_perfect_system.
- [Components for various utilities](component_list_utils.md): Calculator.
